﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGMaskedEditorSizingDemo
{
    public class ViewModel
    {
        public List<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new List<SampleData>();

            for(int i=0; i<10; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Label = "Item " + i.ToString(),
                    Number = r.Next(1000)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public double Number { get; set; }
    }
}
